class FacialRecognition extends MovieEffect{

  int[] facialRecognitionCounter;
  int fontSize;
  
  FacialRecognition(int displayAreaX, int displayAreaY, int displayAreaWidth, int displayAreaHeight, PImage leftFace, PImage rightFace, float faceZoom){
    super(displayAreaX, displayAreaY, displayAreaWidth, displayAreaHeight, leftFace, rightFace, faceZoom);
    this.facialRecognitionCounter = new int[]{0,0};
    this.fontSize = height/10;
    //textSize(this.fontSize);
  }

  @Override
  void drawFaceImage2PGraphics(Rectangle[] faceCoordinate){
    int centerX;
    int faceMaxNumber = faceCoordinate.length;

    super.pg.beginDraw();
      super.pg.noFill();
      super.pg.strokeWeight(super.displayArea[2]/160);
      for (int i = 0; i < faceMaxNumber; i++) { // 顔認識領域を描画
        centerX = faceCoordinate[i].x+faceCoordinate[i].width/2;
        if (centerX <= pg.width/2){
          super.pg.stroke(255,   0,   0);
        }else {
          super.pg.stroke(  0, 255,   0);
        }          
        super.pg.rect(faceCoordinate[i].x, faceCoordinate[i].y, faceCoordinate[i].width, faceCoordinate[i].height);
      }
    super.pg.endDraw();
  }
  
}